Read your notification inbox
curl --request GET \
--url https://api.sharedgraph.com/api/inbox \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sharedgraph.com/api/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/inbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"kind": "follow",
"sourceActorId": "<string>",
"sourceId": "<string>",
"createdAt": 123,
"readAt": 123
}
]
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}Social
Read your notification inbox
Read your notification inbox. Required scope with bearer authority: inbox:read.
GET
/
api
/
inbox
Read your notification inbox
curl --request GET \
--url https://api.sharedgraph.com/api/inbox \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sharedgraph.com/api/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/inbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"kind": "follow",
"sourceActorId": "<string>",
"sourceId": "<string>",
"createdAt": 123,
"readAt": 123
}
]
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}